org.gradle.nativeplatform

## Interface PrebuiltLibraries

- All Superinterfaces:
    ArtifactRepository, Collection<PrebuiltLibrary>, DomainObjectCollection<PrebuiltLibrary>, Iterable<PrebuiltLibrary>, NamedDomainObjectCollection<PrebuiltLibrary>, NamedDomainObjectSet<PrebuiltLibrary>, Set<PrebuiltLibrary>

      @Incubating
      public interface PrebuiltLibraries
      extends ArtifactRepository, NamedDomainObjectSet<PrebuiltLibrary>

  A container of `PrebuiltLibrary` instances.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrebuiltLibrary` | `resolveLibrary(String name)`

    - ### Methods inherited from interface org.gradle.api.artifacts.repositories.ArtifactRepository

      `getName, setName`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### resolveLibrary

          PrebuiltLibrary resolveLibrary(String name)